package com.engine.organization.util;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * @description: MenuBtn工具类
 * @author:dxfeng
 * @createTime: 2022/05/09
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MenuBtn {
    private String isBatch;
    private String isTop;
    private String menuFun;
    private String menuIcon;
    private String menuName;
    private String type;

    /**
     * topMenu新增
     * @return
     */
    public static MenuBtn topMenu_addNew(){
        return MenuBtn.builder().isBatch("1").isTop("1").menuFun("new").menuIcon("icon-coms-New-Flow").menuName("新建").type( "BTN_Addnew").build();
    }

    /**
     * topMenu批量删除
     * @return
     */
    public static MenuBtn topMenu_batchDelete(){
        return MenuBtn.builder().isBatch("1").isTop("1").menuFun("new").menuIcon("icon-coms-New-Flow").menuName("新建").type( "BTN_Addnew").build();
    }

    /**
     * rightMenu新增
     * @return
     */
    public static MenuBtn rightMenu_addNew(){
        return MenuBtn.builder().isBatch("0").isTop("1").menuFun("new").menuIcon("icon-coms-New-Flow").menuName("新建").type( "BTN_Addnew").build();
    }

    /**
     * rightMenu日志
     * @return
     */
    public static MenuBtn rightMenu_btnLog(){
        return MenuBtn.builder().isBatch("0").isTop("0").menuFun("log").menuIcon("icon-coms-Print-log").menuName("日志").type( "BTN_log").build();
    }

    /**
     * rightMenu显示列定制
     * @return
     */
    public static MenuBtn rightMenu_btnColumn(){
        return MenuBtn.builder().isBatch("0").isTop("0").menuFun("custom").menuIcon("icon-coms-task-list").menuName("显示列定制").type( "BTN_COLUMN").build();
    }



}
